Subject: Re: [DNSOP] Fwd: New Version Notification for draft-peltan-edns-presentation-format-01.txt

From: Ben Schwartz <[email-masked]>
Date: Tue, 29 Aug 2023 17:01:56 +0000

I have reviewed this draft.  It seems potentially useful and like a reasonable attempt to define a solution.

I would like to see a unified rule connecting the text and JSON representations, rather than explicitly defining new formats for each key (and in some cases even changing the key names, e.g. NSID vs. NSIDHEX).  For example, some options could be defined as having "list" type output, and then we could define generically how list values are represented in JSON and text.  Similarly for numbers, strings, etc.  Alternatively, the JSON format could be defined first, and the text format could be defined via an algorithm that acts generically on the JSON values.

I think it's worth taking a close look at the existing commonly used presentation formats before defining a new one.  For example, it might be worthwhile to standardize a text representation that is closer to the current "dig" output, for the sake of compatibility with existing systems.

--Ben Schwartz
________________________________
From: DNSOP <[email-masked]> on behalf of libor.peltan <libor.peltan=[email-masked]>
Sent: Wednesday, May 31, 2023 4:33 AM
To: dnsop <[email-masked]>
Subject: [DNSOP] Fwd: New Version Notification for draft-peltan-edns-presentation-format-01.txt

Hi dsnop, we'd like to turn your attention again to our draft https: //www. ietf. org/archive/id/draft-peltan-edns-presentation-format-01. html We believe this document shall fill a missing gap in specifications, and help interoperability of DNS
ZjQcmQRYFpfptBannerStart
This Message Is From an External Sender

ZjQcmQRYFpfptBannerEnd

Hi dsnop,

we'd like to turn your attention again to our draft https://www.ietf.org/archive/id/draft-peltan-edns-presentation-format-01.html<https://www.ietf.org/archive/id/draft-peltan-edns-presentation-format-01.html>

We believe this document shall fill a missing gap in specifications, and help interoperability of DNS tools. Therefore, we think it'd make sense if this document once becomes a dnsop-homed RFC.

We'd appreciate your feedback and comments.

Update from -00: added Guidelines for Future EDNS(0) Options (thanks to Pieter Lexis); nitpicks.

Thank you!

Libor and Tom

-------- Přeposlaná zpráva --------
Předmět:        New Version Notification for draft-peltan-edns-presentation-format-01.txt
Datum:  Wed, 31 May 2023 01:30:33 -0700
Od:     [email-masked]<mailto:[email-masked]>
Komu:   Libor Peltan <[email-masked]><mailto:[email-masked]>, Tom Carpay <[email-masked]><mailto:[email-masked]>

A new version of I-D, draft-peltan-edns-presentation-format-01.txt
has been successfully submitted by Libor Peltan and posted to the
IETF repository.

Name: draft-peltan-edns-presentation-format
Revision: 01
Title: EDNS Presentation and JSON Format
Document date: 2023-05-31
Group: Individual Submission
Pages: 20
URL: https://www.ietf.org/archive/id/draft-peltan-edns-presentation-format-01.txt<https://www.ietf.org/archive/id/draft-peltan-edns-presentation-format-01.txt>
Status: https://datatracker.ietf.org/doc/draft-peltan-edns-presentation-format/<https://datatracker.ietf.org/doc/draft-peltan-edns-presentation-format/>
Htmlized: https://datatracker.ietf.org/doc/html/draft-peltan-edns-presentation-format<https://datatracker.ietf.org/doc/html/draft-peltan-edns-presentation-format>
Diff: https://author-tools.ietf.org/iddiff?url2=draft-peltan-edns-presentation-format-01<https://author-tools.ietf.org/iddiff?url2=draft-peltan-edns-presentation-format-01>

Abstract:
This document describes textual and JSON representation format of
EDNS option. It also modifies the escaping rules of JSON
representation of DNS messages, previously defined in RFC8427.

The IETF Secretariat